lp:~ubuntu-desktop/webkit/ubuntu

Created by Robert Ancell on 2010-12-22 and last modified on 2013-06-24
Get this branch:
bzr branch lp:~ubuntu-desktop/webkit/ubuntu
Members of Ubuntu Desktop can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Desktop
Project:
Webkit
Status:
Development

Recent revisions

77. By Jeremy Bicha on 2013-06-24

* Sync with Debian (LP: #1186558). Remaining changes:
  - debian/control:
    + Don't recommend universe gstreamer codecs
* Dropped changes:
  - debian/control:
    + Explicitly BD on libxcomposite-dev and libxdamage-dev
  - debian/rules:
    + Disable jit on armhf too
    + use -Wl,--reduce-memory-overheads to fix LP builder timeout
* TODO: libwebp needs an approved MIR (LP: #1186553)
* Team upload.
* debian/libwebkit2gtk-3.0-25.symbols:
  + Added missing i386 symbols. Should really fix the i386 build.
    Closes: #704886.
* debian/rules:
  + Pass -I Source/autotools to autoreconf to make sure aclocal can find
    the necessary macros, as otherwise some versions such as aclocal-1.11
    have some trouble with this.
  + Add --disable-jit back on mipsel, armel and powerpc. The change was
    probably lost with the webkit2 addition.
  + Don't pass --with-gstreamer=1.0 anymore, GStreamer support is always
    1.0 now and the configure flag has been dropped.
  + Don't pass --disable-plugin-process. The flag is gone and the plugin
    process is always built for WebKit2, which is what we were doing.
  + Don't pass --disable-jit on powerpc. Instead disable JIT, YARR and
    assembler in ia64 powerpc sparc s390 and s390x as there's no
    support for MacroAssembler for them.
* debian/patches/changeset_145551.diff:
  + Backport from upstream, implement Double2Ints in CLoop backend for
    32 bit architectures, needed for the above architectures where we
    disable JIT, YARR and assembler.
* debian/control:
  + Build depend on libgudev-1.0-dev on linux for gamepad support.
* debian/patches/10_hurd_getCurrentExecutablePath.patch:
  + Readd patch from #669059 that was lost. Fixes build on hurd.
* New upstream release.
* changeset_150117.diff, changeset_150326.diff, changeset_150963.diff:
  + Dropped, included upstream.
* debian/patches/changeset_147557.diff:
  + Backport from upstream, fix a dispose/finalize mistake that can
    cause crashes in some scenarios.
* debian/patches/20_bsd-hurd-gtest-port.patch:
  + New patch. Fix kfreebsd and hurd builds by making gtest know about
    them.
* Team upload.
* debian/control,
  debian/rules:
  + Build depend on gcc-4.7 and g++-4.7 and set the C compiler and C++
    compiler to this version as webkitgtk now requires GCC >= 4.7 and
    the default on many architectures is still 4.6.
* debian/control,
  debian/compat:
  + Bump debhelper compat to 9. Among other things, this brings us
    compressed debug info files. It also brings build-id debug info
    files which greatly speed up gdb start up as gdb won't have to
    checksum the (rather big) webkit debug info files anymore.
* debian/rules:
  + Exclude libwebkit2gtkinjectedbundle.so from dh_makeshlibs as it's a
    private library and debhelper looks at every shared lib in compat 9.
* debian/libwebkitgtk-1.0-0.symbols,
  debian/libwebkitgtk-3.0-0.symbols:
  + Add missing symbols for 32 bit arches. Closes: #704886.
* debian/libwebkit2gtk-3.0-25.symbols:
  + Demangle symbols.
* debian/control:
  + Bump required build dependencies according to Versions.mk.
  + Add missing build dependency on flex. Thanks to Sjoerd Simons for
    noticing this.
  + Also add other missing build dependencies (cairo, freetype,
    fontconfig and libxml).
* Team upload.
* New upstream release.
  + debian/patches/03_avoid_unresolved_x_symbols.patch:
    - Removed, applied upstream.
  + debian/patches/changeset_150117.diff,
    debian/patches/changeset_150256.diff,
    debian/patches/changeset_150326.diff,
    debian/patches/changeset_150963.diff:
    - Backport various build fixes from upstream.
  + debian/*.symbols:
    - Updated.
  + debian/libwebkit2gtk-3.0-0.install:
    - Don't install .la files.
  + debian/rules:
    - Re-enable parallel build support, the above patches should
      make it work.
  + debian/libwebkit2gtk-3.0-{0,25}.install,
    debian/control,
    debian/rules:
    - Renamed libwebkit2gtk-3.0-0 to libwebkit2gtk-3.0-25.
    - Make libwebkit2gtk-3.0-25 break/replace the old
      libwebkit2gtk-3.0-0 as the injected-bundle module path
      is the same.
  + debian/libwebkit2gtk-3.0-25.symbols:
    - Add a symbols file for libwebkit2gtk-3.0.
* debian/watch:
  + Updated to work with the new page.
* debian/rules:
  + Run dh_autoreconf. Makes it easier to backport upstream patches
    that modify autotools files.
* debian/control:
  + Mention "dummy" in libwebkit-dev's long description to shut
    lintian up.
  + Bump Standards-Version to 3.9.4; no changes needed.
  + Bump libharfbuzz-dev's minimum build dependency to pick up a
    dependency against the new libharfbuzz0a package.
* New development release
* debian/patches/03_avoid_unresolved_x_symbols.patch:
- patch to avoid linking issue
* debian/rules:
- enable WebKit2 packages
* debian/*.symbols:
- updated with new symbols
* debian/control:
- add libwebp-dev to the build dependencies
- add libsecret-1-dev to build dependencies
- add libharfbuzz-dev >= 0.9.7 to build dependencies
* debian/libwebkitgtk-3.0-dev.install:
- install webkitdom includes, which now live in a new path
* Integrate patches and acknowledge NMUs; thanks to Ansgar Burchardt
  <email address hidden>, and Michael Gilbert <email address hidden>
* debian/control, debian/rules:
- switch to building with GStreamer 1.0
* debian/control:
- added ruby to the Build-Dependencies, it is now required
  for building WebKit
* debian/rules:
- ensure configure is the last command run in a single shell invocation,
  so the build fails early if configure fails
* New stable release
- source package renamed following upstream
- Includes the WebCore split patches, so the make command line
  limit problem should not happen
* Acknowledge NMU to fix FreeBSD and Hurd, thanks to Samuel
  Thibault <email address hidden>
* Acknowledge NMU to change deb compression to xz, thanks to
  Ansgar Burchardt <email address hidden>
* Acknowledge NMU to use smaller debug format for ia64 as well,
  thanks to Ansgar Burchardt <email address hidden>
* debian/*.symbols:
- updated
* debian/control:
- bump libsoup dependency to 2.40 accross the board,
  following upstream's bump but using the first stable
  release instead of the development one
* debian/*webkit2*, debian/rules, debian/control:
- new packages for the WebKit2GTK+ library, not built by default, you
  can enable them by setting the make ENABLE_WEBKIT2 variable to yes
* New development release
* debian/patches/10_kfreebsd_support.patch:
- removed; applied upstream
* debian/rules:
- disable AR_FLAGS space optimization for now, since linking two libtool
  convenience libraries seems to break that
* debian/*.symbols:
- updated with symbols of the new version
* Non-maintainer upload.
* Fix wide pointer issues on ia64 (closes: #642750).
* Make favicon database thread-safe (closes: #697172).
* Support architectures with large page sizes (closes: #694971).
* Compile with --disable-jit on armel, mipsel, and powerpc (closes: #651636).
* Non-maintainer upload.
* debian/rules: Disable debug symbols also for ia64.
* Non-maintainer upload.
* debian/rules: use xz compression for binary packages. (Closes: #684139)
* Non-maintainer upload.
* Fix debian/patches/10_kfreebsd_support.patch
debian/patches/11_hurd_support.patch patches for kfreebsd and hurd build
(Closes: #669059).
- Disable debug symbols also for hurd-i386 (Closes: #664810)
* debian/patches/11_hurd_support.patch:
- Add Hurd-specific code path before the catch-all UNIX code path for
  getting the executable path (Closes: 669059)

76. By Jeremy Bicha on 2013-06-24

Merge in current Raring/Saucy packaging...
* New upstream release 1.10.2
  - WebCore has been split in a few more convenience libtool libraries,
    which should fix problems with linking in some architectures and
    with make's command line length limit.
  - WebKit2 introspection files will also be built if introspection is
    enabled.
  - Includes fixes for the following CVEs: CVE-2012-5112, CVE-2012-5133
  - Web audio has been fixed to use a GstBuffer per-channel when looping,
    which sidesteps a race when dealing with the object references. It
    also got improvements to error handling and ease of testing when loading
    resources.
* debian/watch: Update to work with (new?) upstream URL scheme.
* Remove -gstabs hack as the library has now been split up which means that
  we don't produce archives over 4G any more.
* Remove make versioned BD for the same reason.
* Build for gstreamer 1.0 (switch BDs and pass --with-gstreamer=1.0)
* Fix symbol files (stupid size_t).
* New upstream release 1.10.1
  - Fix an infinite recursive loop in the accessibility code when browsing
    pages with ARIA.
    + Drop debian/patches/03_a11y_infinite_recursion.patch accordingly
  - Fix the MinGW build in the spellchecker.
  - Restore support for Geode processors.
  - Use XDamage to improve accelerated compositing performance.
  - Fix a crash when accelerated compositing is disabled.
  - Fix a bug causing plugins to be invisible.
  - Fix accelerated content visibility issues on ATI drivers.
* debian/watch: Update to correctly work with the upstream URL scheme.
* Explicitly BD on libxcomposite-dev and libxdamage-dev. These were pulled
  in implicitly before, but the build system checks for them directly.
* Disable JIT (--disable-jit) on armel/armhf, as there is a segfault in this
  code on pages that use javascript (the Ubuntu slideshow for example). (LP:
  #1066046)
[ Sebastian Bacher ]
* New upstream version (lp: #1011473)
[ Iain Lane ]
* Replace -g with -gstabs to try and make archives under 4gb
* Update symbols files to include new C++ symbols
* debian/rules
  - Pass -Wl,--reduce-memory-overheads again, for arm.
  - Disable the webkit2 build explicitly (the default changed, this is the
    same as we had before).
* Version make BD so that we get a version with fixed argument length
  limitations.
* debian/patches/03_a11y_infinite_recursion.patch: Add new upstream patch
  (r129246) to fix an infinite recursion error in
  WebCore::AXObjectCache::getOrCreate.

75. By Jenkins User <jenkins@jenkins> on 2012-09-05

* TODO before upload:
  - investigate amd64 build issue
  - update symbols list for optional cpp ones
  - restore -c4 symbol check
* New upstream version (lp: #1005682)
* debian/control:
  - build-depends on libgudev-1.0-dev and ruby1.9.1
  - updated libsoup requirement
* debian/patches/upstream_build_fix.patch:
  - use patch from https://bugs.webkit.org/show_bug.cgi?id=90098
    to fix build issues
* debian/rules:
  - don't fail on .symbols errors for the ppa build
  - disable webkit2 support for the first update
* debian/libwebkit*.symbols:
  - updated for the new version

74. By Sebastien Bacher on 2012-07-20

releasing version 1.9.2-1ubuntu3

73. By Sebastien Bacher on 2012-07-20

debian/control: don't recommends universe gstreamer codecs

72. By Sebastien Bacher on 2012-07-19

releasing version 1.9.2-1ubuntu2

71. By Sebastien Bacher on 2012-07-19

debian/rules: use -Wl,--reduce-memory-overheads as well to see if it
helps armel to build without hitting the buildds inactivity timeouts.

70. By Sebastien Bacher on 2012-07-18

releasing version 1.9.2-1ubuntu1

69. By Sebastien Bacher on 2012-07-18

* New upstream version (lp: #1011473)
* symbols:
  - updated to fix some mismatches

68. By Sebastien Bacher on 2012-07-18

releasing version 1.9.2-1

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:webkit
This branch contains Public information 
Everyone can see this information.

Subscribers